Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Retail games and a softmodded Wii

  1. #1
    Junior Member
    Join Date
    Apr 2009
    Posts
    9
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Retail games and a softmodded Wii

    Im not really a newbie at hacking my wii but I figured I would post here since it is a newb question.

    I really have only been playing burned games on my wii since I modded it, and the other older retail games that i had. I would like some advice from people about any of the newer retail games and playing them on your softmodded wii.
    Like what happens when you go out and buy a new game and it tells you that you have to do an update off of the disk? Is the update from the disk a system update and something that will brick it or does it not touch your system files?

  2. #2
    Senior Member
    WiiHacks Staff
    Senior Moderator
    Only site donators may send a PM to WiiHacks Staff
    oddgriffin's Avatar
    Join Date
    Nov 2009
    Location
    New Franklin, Ohio. USA
    Posts
    10,172
    Thanks
    2,195
    Thanked 2,558 Times in 2,004 Posts
    Blog Entries
    2
    Quote Originally Posted by metfuel View Post
    Im not really a newbie at hacking my wii but I figured I would post here since it is a newb question.

    I really have only been playing burned games on my wii since I modded it, and the other older retail games that i had. I would like some advice from people about any of the newer retail games and playing them on your softmodded wii.
    Like what happens when you go out and buy a new game and it tells you that you have to do an update off of the disk? Is the update from the disk a system update and something that will brick it or does it not touch your system files?
    yep it will update your system menu and your softmod will no longer work. better to search for info on the ganme here or ask what ios files are needed.

  3. #3
    Senior Member
    WiiHacks Staff
    Senior Moderator
    Only site donators may send a PM to WiiHacks Staff
    oddgriffin's Avatar
    Join Date
    Nov 2009
    Location
    New Franklin, Ohio. USA
    Posts
    10,172
    Thanks
    2,195
    Thanked 2,558 Times in 2,004 Posts
    Blog Entries
    2
    should put more emphasis on " do not let Nintendo update your system". one of their main objectives besides getting the games to work is to nullify our mods.

  4. #4
    Junior Member
    Join Date
    Apr 2009
    Posts
    9
    Thanks
    0
    Thanked 0 Times in 0 Posts
    OK so I bought a Wii FIt Plus and as i expected the disc channel says wii sytem update.

    So I have to download and burn this game so i can play it on my hacked wii?
    I love having the ability to play anything i want but i sucks when i buy a new game.

    ANy solutions?

  5. #5
    Junior Member
    Join Date
    Nov 2009
    Posts
    32
    Thanks
    1
    Thanked 2 Times in 2 Posts
    Wasn't there an option in preloader or someother thing to prevent disc updates? Does it not work on all discs? o.o

  6. #6
    Junior Member
    Join Date
    Apr 2009
    Posts
    9
    Thanks
    0
    Thanked 0 Times in 0 Posts
    I am not sure what preloader is. I have had my wii hacked for about a year now and never loaded preloader. Can i still do it?

  7. #7
    Junior Member
    Join Date
    Nov 2009
    Posts
    12
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Here is a quote from the FAQs.

    Preloader is a program that will popup when you boot your wii. It is used for a lot of hacks, such as disable disc updates, play out of region games, disable system menu background music. It is very useful and recommended to install if you cannot install BootMii as boot2, because it will allow you to boot in to the HBC. This is important in case you banner brick or corrupt your system menu files.
    When you do it, I think matters not. See if you have BootMii installed first, even tho it doesnt hurt to have them both.

  8. #8
    Junior Member Jasons34's Avatar
    Join Date
    May 2009
    Posts
    1,295
    Thanks
    20
    Thanked 455 Times in 350 Posts
    Blog Entries
    1
    First off the info given above is wrong. If your system menu is atleast a 3.4, the update wont do anything except update the ios' thats in the game. The games that have a disc update within them will update your firmware to 3.1 or 3.4, but as long as you have atleast 3.4, the update wont touch your firmware. If the requires the newest ios38 but you either dont have that ios or have an older version of it, the update will update that ios. Even if you are running a very old firmware, lets say 3.0, as long as you have the most rescent ios that game needs in order to play it, it wont promt you for an update. Ill give you an example. I am running firmware 3.2 but have the most rescent ios53 (which comes from NSMB). Eventhough that game has a firmware update of 3.4, since I already have the newest ios needed to play that game, it doesnt prompt me for the update. Basically, just make sure you have up to date ios' and a program that can bypass updates. Also the only time you will lose your homebrew stuff is if you do an entire system update either through nintendo using your system update in the settings or using guides on here. And even then, you might not lose everything. You might still have your HBC but it wont work correctly. You might have neogamma backup launcher but ios249 was removed. Youll just have to simply re install whatever was lost.
    If I have helped you in any way, please thank me by pressing the little thanks button.

  9. 1 User Says Thank You Jasons34 For This Useful Post


  10. #9
    Junior Member
    Join Date
    Nov 2009
    Posts
    12
    Thanks
    0
    Thanked 0 Times in 0 Posts
    In the end the game checks only the ios and not the system menu? Given that I have 3.4E Wii, does this mean I have whatever ios is needed so that the games would not touch my system? Or is it possible to miss those ios even tho I have the 3.4E? Because it doesn't make any sense otherwise. If it installs the 3.4 then the 3.4 must have the latest ios in it, right?

  11. #10
    Junior Member
    Join Date
    Apr 2009
    Posts
    9
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Ahh ok so I currently have system menu 4.1 and my ios I have no clue. Homebrew Channel use to state that but it seems that with this new update it got rid of that.

    I will try updating everything and try it again.

    Thanks for the info.

    Should I still install bootmii and preloader?

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •